﻿/** MATERIAL-UI Radio Buttons*/

@keyframes ripple {
    0% {
        box-shadow: 0px 0px 0px 1px rgba(0, 0, 0, 0);
    }

    50% {
        box-shadow: 0px 0px 0px 15px rgba(0, 0, 0, 0.1);
    }

    100% {
        box-shadow: 0px 0px 0px 15px rgba(0, 0, 0, 0);
    }
}

.material-radio {
    margin: 16px 0;
    position: relative;
}

.material-radio.material-radio-inline {
    display: inline-block;
}

.material-radio input[type="radio"] {
    opacity: 0.1;
    height: 1px;
    width: 1px;
    -moz-appearance: none;
}

.material-radio input[type="radio"]:checked + label:before {
    border-color: #337ab7;
    animation: ripple 0.2s linear forwards;
}

.material-radio input[type="radio"]:checked + label:after {
    transform: scale(1);
}

.material-radio label {
    display: inline-block;
    /*height: 20px;*/
    position: absolute;
    top: 0;
    padding: 0 5px 0 30px;
    margin-bottom: 0;
    cursor: pointer;
    vertical-align: bottom;
    word-break: break-all;
    word-break: break-word;
}

.material-radio label:before, .material-radio label:after {
    position: absolute;
    content: '';
    border-radius: 50%;
    transition: all .3s ease;
    transition-property: transform, border-color;
}

.material-radio label:before {
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    border: 2px solid rgba(0, 0, 0, 0.54);
}

.material-radio label:after {
    top: 5px;
    left: 5px;
    width: 10px;
    height: 10px;
    transform: scale(0);
    background: #337ab7;
}

/** end MATERIAL-UI Radio Buttons*/

/** DIV styled to look like a disabled Material-UI input/textarea field (used on PersonalDetails view for single addresses)*/

div.material-ui-div {
    position: relative;
    width: 100%;
    margin-bottom: 0.9em;
    margin-top: 1.7em;
    padding-left: 0px;
    padding-right: 65px;
}

div.material-ui-div > div {
    font-size: 1.3em;
    padding: 7px 10px 7px 5px;
    display: block;
    border: none;
    border-bottom: 1px solid #aaa;
    border-radius: 0px;
    background-color: transparent !important;
    overflow-x: hidden;
    color: #555;
}

div.material-ui-div > label {
    top: -20px;
    font-size: 0.9em;
    color: #5264AE;
}

/** MATERIAL-IU Text Area (Display only)*/
.material-textarea {
    position: relative;
    width: 100%;
    margin-bottom: 0.9em;
    margin-top: 1.7em;
    padding-left: 0px;
    padding-right: 65px;
}

textarea.material-textarea {
    font-size: 1.3em;
    padding: 7px 10px 7px 5px;
    display: block;
    border: none;
    border-bottom: 1px solid #aaa;
    border-radius: 0px;
    background-color: transparent !important;
    box-shadow: none !important;
    resize: none;
    overflow: hidden;
}

textarea.material-textarea:focus ~ label.material-textbox-label, textarea.material-textarea:not([value=""]) ~ label.material-textbox-label, textarea.material-textarea:disabled ~ label.material-textbox-label {
    top: -20px;
    font-size: 0.9em;
    color: #5264AE;
}

/** MATERIAL-UI Textboxes*/
.material-textbox {
    position: relative;
    width: 100%;
    margin-bottom: 0.9em;
    margin-top: 1.7em;
    margin-left: 10px;
    padding-left: 0px;
    padding-right: 65px;
}

input.material-input {
    padding: 7px 10px 7px 5px;
    display: block;
    border: none;
    border-bottom: 1px solid #aaa;
    border-radius: 0px;
    /*height: auto;*/
    background-color: transparent !important;
    box-shadow: none !important;
    font-size: 1.3em;
    max-width: 100%;
}

input.material-input:focus {
    outline: none;
}

label.material-textbox-label {
    padding-top: 0 !important;
    color: #999;
    font-size: 1.3em;
    font-weight: normal;
    position: absolute;
    pointer-events: none;
    left: 5px;
    top: 8px;
    transition: 0.2s ease all;
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
}

input.material-input:focus ~ label.material-textbox-label, input.material-input:not([value=""]) ~ label.material-textbox-label, input.material-input:disabled ~ label.material-textbox-label {
    top: -20px;
    font-size: 0.9em;
    color: #5264AE;
}

span.material-textbox-bar {
    position: relative;
    display: block;
}

span.material-textbox-bar:before, span.material-textbox-bar:after {
    content: '';
    height: 2px;
    width: 0;
    bottom: 1px;
    position: absolute;
    background: #5264AE;
    transition: 0.2s ease all;
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
}

span.material-textbox-bar:before {
    left: 50%;
}

span.material-textbox-bar:after {
    right: 50%;
}

input.material-input:focus ~ span.material-textbox-bar:before, input.material-input:focus ~ span.material-textbox-bar:after {
    width: 50%;
}

/** end MATERIAL-UI Textboxes*/

/* MATERIAL-UI Select (dropdown) fields*/

select.material-select {
    background-color: transparent;
    width: 100%;
    padding: 4px 0 0 5px;
    font-size: 1.3em;
    color: #666;
    border: none;
    border-bottom: 1px solid #666;
}

select.material-select:disabled {
    cursor: not-allowed;
}

select.material-select:focus {
    outline: none;
    border-bottom: 2px solid #5264AE;
}

.material-selectfield label {
    color: #5264AE;
    font-size: 0.9em;
    font-weight: normal;
    top: -20px;
    left: 5px;
    position: absolute;
}

.material-selectfield select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.material-selectfield {
    margin-top: 30px;
    font-family: 'Roboto','Helvetica','Arial',sans-serif;
    position: relative;
    padding-left: 0px;
    padding-right: 65px;
}

.material-selectfield:after {
    top: -25px;
    /* Styling the down arrow */
    width: 0;
    height: 0;
    padding: 0;
    content: '';
    border-left: .5em solid transparent;
    border-right: .5em solid transparent;
    border-top: .6em solid #666;
    pointer-events: none;
    position: relative;
    float: right;
}

#questionSection .material-selectfield, .material-textbox {
    margin-left: 0px;
}

.input-group-addon {
    border: 0px;
    background-color: none !important;
    color: #007dc3;
}

/* IE 10 + 11 Only Styles*/
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    .material-radio label {
        word-break: break-all;
    }

    .material-radio input[type="radio"] {
        opacity: 0.0;
    }
}
